DRUO
Get started
Payouts

Create Payout

POSThttps://api.druo.com/payouts/create

Create a new payout transaction.

This endpoint registers a payout request and creates a Transaction object to track the movement of funds to the destination account.

Request body

tenant_idstringRequired

The ID of the Tenant that originated the payout transaction.

amountintegerRequired

The amount of money, in the smallest denomination of the currency indicated (e.g., in cents for USD). For example, $10.00 USD is represented as 1000.

The ID of the account where the funds from this transaction will be deposited.

currencystringRequired

The type of currency, in ISO 4217 format. For example, the currency code for US dollars is USD.

merchant_idstringoptional

The ID of the merchant associated with this payout transaction.

descriptionstringoptional

The description of this transaction, visible from the Portal and API.

primary_referencestringoptional

An optional primary ID you can associate with the transaction for your own tracking purposes (such as to associate the transaction with an entity ID in your own database). This value cannot exceed 40 characters.

secondary_referencestringoptional

An optional secondary ID you can associate with the transaction for your own tracking purposes. This value cannot exceed 40 characters.

metadataobjectoptional

Set of key-value pairs that you can attach to an object. You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long.

Response

uuidstringoptional

The unique identifier (UUID) of the transaction.

Example: trx_422f0f81-5001-4cce-a229-242d9ab9960a
codestringoptional

The internal reference code of the transaction.

Example: TXNMW9PCWE
statusstringoptional

The current status of the transaction.

Example: SUCCESSFUL
remarksstringoptional

The remarks or supplementary status messages for the transaction.

Example: INSUFFICIENT_FUNDS
tenantobjectoptional

The tenant object that originated the transaction.

Example: {"uuid": "ten_0521aadc-5fbd-4b3c-af0a-a4f4b8d6f20a"}
creation_sourcestringoptional

The creation source of the transaction.

Example: MERCHANT_API
destination_accountobjectoptional

The destination account object where funds are deposited.

Example: {"uuid": "acc_0521aadc-5fbd-4b3c-af0a-a4f4b8d6f20a"}
typestringoptional

The type of transaction.

Example: PAYOUT
amountintegeroptional

The amount of money, in the smallest denomination of the currency.

Example: 10000
currencyobjectoptional

The currency object containing currency details.

Example: {"code": "USD"}
descriptionstringoptional

The description of this transaction, which users may see (e.g., in email receipts sent on your behalf).

Example: Insurance policy renewal - INV12324
primary_referencestringoptional

The primary reference identifier associated with the transaction.

Example: ABC123
secondary_referencestringoptional

The secondary reference identifier associated with the transaction.

Example: bj39fhow39fhqp3f0hfae4344
metadataobjectoptional

Key-value pairs associated with the transaction object.

Example: {"order_id": "6735"}
decline_reasonstringoptional

The reason why the transaction was declined, if applicable.

Example: INSUFFICCIENT_FUNDS
date_created_gmtstringoptional

The date and time the transaction was created, in GMT ISO format.

Example: 2021-11-15T23:23:38
date_updated_gmtstringoptional

The date and time the transaction was last updated, in GMT ISO format.

Example: 2021-11-15T23:23:38
net_amountintegeroptional

The net amount of the transaction.

Example: 20400
fixed_feeintegeroptional

The fixed fee applied to the transaction.

Example: 0
total_feeintegeroptional

The total fee applied to the transaction.

Example: 400
variable_feeintegeroptional

The variable fee applied to the transaction.

Example: 400
NextGETGet Payout